Lintian ReportsBETA

Wstronger-dependency-implies-weaker

Tag versions

The tag is present in Lintian version 2.109.3. That is the most recent version we know about.

In the debian/control stanza for the given package, a stronger dependency field implies one of the dependencies in a weaker dependency field. In other words, the Depends field of the package requires that one of the packages listed in Recommends or Suggests be installed, or a package is listed in Recommends as well as Suggests.

Current versions of dpkg-gencontrol will silently fix this problem by removing the weaker dependency, but it may indicate a more subtle bug (misspelling or forgetting to remove the stronger dependency when it was moved to the weaker field).

Please refer to Debian Policy Manual section 7.2 for details.

Visibility: warning

Check: debian/control

The following 7 source packages in the archive triggered the tag 9 times.

There were no overrides.